iOS 10 device compatibility list

By , Jun 13, 2016

ios 10 device compatibility list

Apple today during the WWDC 2016 keynote at the Bill Graham Civic Auditorium in San Francisco announced next major versions of its four main operating systems—iOS, tvOS, watchOS and macOS—that power its iOS devices, set-top boxes, watches and computers.

iOS 10, the tenth major revision of iOS, is now official, but will it work on your existing hardware? Not if you’re still on the iPhone 4s or want to run iOS 10 on the original iPad mini or iPads older than the iPad 4.

Here’s a list of every Apple device that supports iOS 10:

  • iPad 4, iPad Air and iPad Air 2
  • 12.9 and 9.7-inch iPad Pro
  • iPad mini 2, iPad mini 3 and iPad mini 4
  • iPhone 5, iPhone 5c, iPhone 5s, iPhone SE, iPhone 6, iPhone 6 Plus, iPhone 6s and iPhone 6s Plus
  • Sixth-generation iPod touch

The major iOS 7 overhaul was compatible with any iPhone model from the iPhone 4 onward. iOS 8 and iOS 9, however, dropped iPhone 4 support so the iPhone 4s became the new bare minimum. With that in mind, it’s not surprising that iOS 10 has dropped support for the iPhone 4s, the original iPad mini and the third-generation iPad.

A developer preview of iOS 10 is available starting today for those who are members of the Apple Developer Program. Public beta testers who are signed for the Apple Beta Software Program can download a beta of iOS 10 some time in July, said Apple.

iOS 10 releases for public consumption this fall.

iOS 10 supports any iPhone from the iPhone 5 onward, in addition to the sixth-generation iPod touch, a minimum fourth-generation iPad 4 or iPad mini 2 and later.

For more info, check out Apple’s iOS 10 Preview webpage.

Source: Apple

  • Share:
  • Follow:
  • Jonathan

    It’s about time the iPad 2 is killed off. :/
    Time for me to get an upgrade. 5th generation iPod Touch was also killed off.

    • 9to5Slavery

      Good for riddance iPad 2 so slow and laggy

    • X^-1

      They are still supporting it! Check the Apple website 🙂

      • Luis Felipe Artola

        No they’re not. They updated the list to match the one on the slide.

    • xoFoxtail

      iPad 2 is on their list of being supported. They just forgot to include it on the post.

  • Where we can download developer preview of iOS if we are not enrolled in dev.program?

    • You can’t, not easily at least. It’s best to wait a month for the public beta

    • Mr.Coolfreak

      goto iosbetas subreddit, they have link to profile to be installed on your phone, and that will enable you to receive beta updates right now your device from Apple

  • Mr Mop

    RIP A5 devices

    • X^-1

      Not yet 🙂

      • Mr Mop

        Thanks for the heads-up 😀

  • 9to5Slavery

    Pdanet is only reason why I still keep jailbreak but it’s handicapping my use of the iPhone. Gotta buy android to make it absolete

    • James G

      For tethering only?

      • 9to5Slavery

        For hiding tether like web access without service knowing so they will charge me for going over 7GB in a month. And don’t judge. I don’t use internet cable to pay more, work on the road and come home to only few hours of sleep.


        Block Ads with host file without detouring my data to server I don’t fully trust

        Flex App

        CCQuick Pro if it stops crashing

        VolumePane …

      • James G

        No judgement here.

  • 53kyle

    How come the apple website says that iOS 10 supports iPad 2 and up, iPod touch 5th gen and up, and iPhone 5 and up? It looks like the only device that is no longer supported is the 4S.

  • Sailor_V90

    I saw this on Pinterest and it sums up how up how I feel about this years WWDC.

    • Disasterpiece

      that’s from a Beyonce song “Sorry”… you’re not “sorry” for leaving apple?

  • X^-1

    Um.. I just checked the Apple website, and IPod5, iPadmini1, and iPad 2 are still supported 🙂

  • Khôi Nguyên

    how about this ? I capped it on Apple website

    • X^-1


  • Michael Bemelmans

    No new products this year?

    • (JailbreakQA) King Shoot

      Products are announced in September/October.

  • (JailbreakQA) King Shoot

    Apple should have killed all 32-bit devices. Makes programming and jailbreaking easier.

  • Doug

    iPad Mini is listed on the preview site as compatable as well

  • MikeDeezy100

    So now they only have to support the Lightning port. Good for them.
    And also the fact that Apple is supporting a phone that came out back in 2012 (on iOS 6) with the current OS version is incredible. You’d be hard pressed to find any other mobile phone manufacturer still supporting their 2012 lineup.

    • Eric Walker

      Very true! Although I’m doubtful all features will be transported to the iPad mini, like iOS 9.

  • HamptonWalley

    A5 was really kick ass to last so long.

    • X^-1

      They are still supported!

      • HamptonWalley

        Wow, even IOS 10 seeing the updates

      • X^-1

        Unfortunately it will be super slow, but thats expected.

  • Sailor_V90

    Will the iPad mini 2 have the ability to do proper split screen? They didn’t go into detail they just glosses over it…

    • Troy

      i doubt it since the last update didn’t allow it and I’m guessing iOS 10 will slow it down even more

      • Sailor_V90

        Joy…now I have to consider updating my iPad

      • aw81

        Do it!
        I recently got a decent price on an iPad air and the difference is amazing, well worth it and I can run a bunch of apps that weren’t supported on my iPad 2.
        You won’t regret it.

  • Ziaur Rahman

    So no dark mode then?

  • Troy

    There’s read receipts for conversation

  • leart

    cant wait to test tomorrow iOS 10 on my iPad 2 🙂

  • Luiz

    Don’t get why iOS 10 will be on 5th iPod Touch and not on the iPhone 4s (both are on A5)
    Maybe is because of the Screen resolution ?

    • X^-1

      For some reason they’re supporting all devices with lightning ports.

  • James G

    Wow I was bummed when I saw iPad 3 missing from the slide but their website shows it as supported? I thought for sure it’d be left behind.

    Either way, really want to abandon that old device and get a Pro…just can’t afford it.

    • 9to5Slavery


  • hkgsulphate

    on the iOS 10 beta page
    None of the A5 devices can be found

  • onesimpleclik

    No iOS 10 for the iPhone 4S. You’ve served me well little buddy.

    • X^-1

      I guess its about time 🙂

  • Just wanna leave this message I received from Apple Support (on Twitter) regarding the confusion as to whether or not it will be compatible with iPad 3/4, the original iPad mini and the iPod touch 5th generation. Seems like they’ll be supported in future betas.

    • Zack Yamout

      oh thank got i got so worried because i only got my ipod touch 5g 6 months before the 6 came out

  • Luis Felipe Artola

    They already updated that. Ipad 2, ipad mini 1 and ipod touch 1st gen are not in the list anymore

    • James G

      I was going to say the same thing. It was misrepresented on the website. No download for iPad 3.

    • Jonathan

      The 1st generation iPod better not be on there.

  • Luis Felipe Artola

    No it is right. The one on the website was wrong apparently, because now it matches the slide, no longer including ipad 2, 3, mini 1 or ipod 5th

  • zelda


  • Mr_Coldharbour

    Adieu iPhone 4S. I have to say this is probably Apple’s longest running device when it comes to OS upgrades, that the iPad 2 and the 2009 MacBook Pros.